
/*
   INSERISCO RECORD PER GESTIONE DEL MAGAZZINO DI APPOGGIO ANIME ESTERNE
*/



set xact_abort on
go

begin transaction
go

INSERT INTO dbo.AnagPosizioni
  VALUES (-2222, N'TK - Anime EXT consumate', 0)
INSERT INTO dbo.AnagPosizioni
  VALUES (2222, N'TK - Anime EXT', 0)
go

commit transaction
go


set xact_abort on
go

begin transaction
go

INSERT INTO dbo.AnagMag
  VALUES (N'2222', N'TK', N'Anime EXT TK', 1)
go

commit transaction
go


set xact_abort on
go

begin transaction
go

set identity_insert dbo.Blocchi on
go

INSERT INTO dbo.Blocchi
  (IdxBlocco, CodMag, CodCS, CodBlocco, DescBlocco, NumX, NumY, NumZ)
  VALUES (64, N'2222', N'TK', N'AE', N'Descrizione n.d.', 1, 1, 1)
go

set identity_insert dbo.Blocchi off
go

commit transaction
go



set xact_abort on
go

begin transaction
go

set identity_insert dbo.TipoCella on
go

INSERT INTO dbo.TipoCella
  (IdxTipoCella, CodMag, CodCS, Quantita, Capienza, Max_X, Max_Y, Max_Z, Max_Kg, CheckPiena, SetMag)
  VALUES (28, N'2222', N'TK', 1, 100, 850, 900, 1300, 1000, 0, 1)
go

set identity_insert dbo.TipoCella off
go

commit transaction
go


set xact_abort on
go

begin transaction
go

set identity_insert dbo.Celle on
go

INSERT INTO dbo.Celle
  (IdxCella, CodCS, CodCella, IdxTipoCella, Descrizione, Attiva, Piena, IdxBlocco, X, Y, Z)
  VALUES (6201, N'TK', N'AE010101', 28, N'-', 1, 0, 64, 1, 1, 1)
go

set identity_insert dbo.Celle off
go

commit transaction
go


/*
   INSERISCO I RECORD PER GESTIONE NUOVA IdxBloccoTo sulle transazioni in modo da gestire il magazzino ( Blocco ) a cui inviare
   gli UDC quando li creo ( slegare IdxPosizione e locazione di invio )
*/

set xact_abort on
go

begin transaction
go

UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'DelibFusi' and IdxPosizione=7
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'DelWipPost' and IdxPosizione=305
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'DelWipPre' and IdxPosizione=290
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'MagPreAnim' and IdxPosizione=-2
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'MagPreAnim' and IdxPosizione=2
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'MagPreFin' and IdxPosizione=24
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'MagPreFus' and IdxPosizione=7
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'MagPreFus' and IdxPosizione=84
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'MagPreGbox' and IdxPosizione=24
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'MagPreWip' and IdxPosizione=84
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'SpeWipTerz' and IdxPosizione=290
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'SpeWipTerz' and IdxPosizione=295
INSERT INTO dbo.TabTranPosizEventi
  VALUES (N'UDC_ANIMA', 2, 2222, 0, 0)
INSERT INTO dbo.TabTranPosizEventi
  VALUES (N'UDC_ANIMA', 2222, 2, 49, 0)
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'UDC_CONS' and IdxPosizione=2
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'UDC_CONS' and IdxPosizione=6
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'UDC_CONS' and IdxPosizione=24
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'UDC_CONS' and IdxPosizione=84
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'UDC_RIEN54' and IdxPosizione=88
UPDATE dbo.TabTranPosizEventi SET 
  IdxBloccoTo=0
  WHERE CodEvento=N'UDC_RIEN84' and IdxPosizione=88
go

commit transaction
go

